Crazy Eddies GUI System: CEGUI::ImageCodec Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CEGUI::ImageCodec Class Reference

Abstract ImageLoader class. An image loader encapsulate the loading of a texture. More...

Inherited by CEGUI::CoronaImageCodec, CEGUI::DevILImageCodec, CEGUI::FreeImageImageCodec, CEGUI::IrrlichtImageCodec, CEGUI::OgreImageCodec, CEGUI::SILLYImageCodec, CEGUI::STBImageCodec, and CEGUI::TGAImageCodec.

Collaboration diagram for CEGUI::ImageCodec:
[legend]

List of all members.

## Public Member Functions
virtual | ~ImageCodec ()
| Destructor.
const String & | getIdentifierString () const
| Return the name of the image codec object.
const String & | getSupportedFormat () const
| Return the list of image file format supported.
virtual Texture * | load (const RawDataContainer &data, Texture *result)=0
| Load an image from a memory buffer.
## Protected Member Functions
| ImageCodec (const String &name)
## Protected Attributes
String | d_supportedFormat
| list all image file format supported

## Detailed Description

Abstract ImageLoader class. An image loader encapsulate the loading of a texture.

This class define the loading of an abstract

## Member Function Documentation

const String& CEGUI::ImageCodec::getIdentifierString | ( |  | ) | const

Return the name of the image codec object.

Return the name of the image codec

Returns:
  a string containing image codec name

const String& CEGUI::ImageCodec::getSupportedFormat | ( |  | ) | const

Return the list of image file format supported.

Return a list of space separated image format supported by this codec

Returns:
  list of supported image file format separated with space

virtual Texture* CEGUI::ImageCodec::load | ( | const RawDataContainer & | data,
|  | Texture * | result
| ) |  | `[pure virtual]`

Load an image from a memory buffer.

Parameters:

  data | the image data
  result | the texture to use for storing the image data

Returns:
  result on success or 0 if the load failed

Implemented in CEGUI::CoronaImageCodec, CEGUI::DevILImageCodec, CEGUI::FreeImageImageCodec, CEGUI::SILLYImageCodec, CEGUI::STBImageCodec, CEGUI::TGAImageCodec, CEGUI::IrrlichtImageCodec, and CEGUI::OgreImageCodec.